Package org.apache.commons.io.build

# Class AbstractOrigin.ByteArrayOrigin

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>
org.apache.commons.io.build.AbstractOrigin.ByteArrayOrigin

All Implemented Interfaces:
  `IOSupplier<byte[]>`

Enclosing class:
  AbstractOrigin<T,B extends AbstractOrigin<T,B>>

public static class AbstractOrigin.ByteArrayOrigin extends AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>
A `byte[]` origin.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.build.AbstractOrigin

  `AbstractOrigin.ByteArrayOrigin, AbstractOrigin.CharSequenceOrigin, AbstractOrigin.FileOrigin, AbstractOrigin.InputStreamOrigin, AbstractOrigin.OutputStreamOrigin, AbstractOrigin.PathOrigin, AbstractOrigin.ReaderOrigin, AbstractOrigin.URIOrigin, AbstractOrigin.WriterOrigin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteArrayOrigin(byte[] origin)`
  Constructs a new instance for the given origin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getByteArray()`
  Gets this origin as a byte array, if possible.
  `InputStream`
  `getInputStream(OpenOption... options)`
  Gets this origin as an InputStream, if possible.
  `Reader`
  `getReader(Charset charset)`
  Gets a new Reader on the origin, buffered by default.
  `long`
  `size()`
  Gets the size of the origin, if possible.

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin

  `get, getByteArray, getCharSequence, getFile, getOutputStream, getPath, getWriter, toString`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### ByteArrayOrigin

    public ByteArrayOrigin(byte[] origin)
    Constructs a new instance for the given origin.
    Parameters:
      `origin` - The origin.

- ## Method Details

  - ### getByteArray

    public byte[] getByteArray()
    Description copied from class: `AbstractOrigin`
    Gets this origin as a byte array, if possible.
    Overrides:
      `getByteArray` in class `AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>`
    Returns:
      this origin as a byte array, if possible.

  - ### getInputStream

    public InputStream getInputStream(OpenOption... options) throws IOException
    Gets this origin as an InputStream, if possible.

    The `options` parameter is ignored since a `byte[]` does not need an `OpenOption` to be read.

    Overrides:
      `getInputStream` in class `AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>`
    Parameters:
      `options` - options specifying how the file is opened
    Returns:
      this origin as an InputStream, if possible.
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getReader

    public Reader getReader(Charset charset) throws IOException
    Description copied from class: `AbstractOrigin`
    Gets a new Reader on the origin, buffered by default.
    Overrides:
      `getReader` in class `AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>`
    Parameters:
      `charset` - the charset to use for decoding
    Returns:
      a new Reader on the origin.
    Throws:
      `IOException` - if an I/O error occurs opening the file.

  - ### size

    public long size() throws IOException
    Description copied from class: `AbstractOrigin`
    Gets the size of the origin, if possible.
    Overrides:
      `size` in class `AbstractOrigin<byte[],AbstractOrigin.ByteArrayOrigin>`
    Returns:
      the size of the origin in bytes or characters.
    Throws:
      `IOException` - if an I/O error occurs.